
QGIS Application - Bug report #20256

QGIS 3.4 crashes on save symbol

2018-10-29 12:34 PM - Louis Fauvernier

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28077

Description

User Feedback

Hello,

QGIS crash each time i save a symbol in my library with a custom flag. After restarting QGIS, the symbol appears in my library with the

custom flag.

Step to reproduce

Right click on a layer, edit symbol, save symbol, enter a name and a custom flag, save.

Report Details

Crash ID: 219a0e03a14b33c1a5edbaf440284205cae0a383

Stack Trace

QBitArray::QBitArray :

QgsStyleModel::data :

QgsStyleProxyModel::filterAcceptsRow :

QSortFilterProxyModel::flags :

QSortFilterProxyModel::filterRole :

QSortFilterProxyModel::invalidateFilter :

QgsStyleModel::headerData :

QMetaObject::activate :

QgsStyle::entityTagsChanged :

QgsStyle::tagSymbol :

QgsStyle::saveSymbol :

QgsSymbolsListWidget::saveSymbol :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :
DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgsLayerStyleManagerWidgetFactory::supportsStyleDock :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2
Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicated by QGIS Application - Bug report # 20274: Saving symbol in Symbol ... Closed 2018-10-30

Associated revisions

Revision f6aecd15 - 2018-10-30 07:45 PM - Nyall Dawson

Avoid crash in style model when adding symbols with a new tag to library

Fixes #20256

Revision c3ddce12 - 2018-10-31 12:58 AM - Nyall Dawson

Avoid crash in style model when adding symbols with a new tag to library

Fixes #20256

(cherry picked from commit f6aecd152d367ed0a4cf661c3c5c8c1850f608af)

History

#1 - 2018-10-29 08:44 PM - Giovanni Manghi

- Subject changed from Crash on QGIS 3.4 on save symbole to QGIS 3.4 crashes on save symbol

- Operating System deleted (Windows 10 )

- Priority changed from Normal to High

Confirmed on Linux too.

#2 - 2018-10-30 01:11 AM - Nyall Dawson

- Status changed from Open to In Progress

- Assignee set to Nyall Dawson

#3 - 2018-10-30 07:44 PM - Nyall Dawson

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|f6aecd152d367ed0a4cf661c3c5c8c1850f608af.

#4 - 2018-10-31 12:38 PM - Jürgen Fischer

- Duplicated by Bug report #20274: Saving symbol in Symbol selector added

Files
save_symbole.jpg 96.9 KB 2018-10-29 Louis Fauvernier
